khany

TVenLinux, ver la mayoría de los canales TDT fácilmente desde GNU/linux

32 posts en este tema

Como veo que no lo ha puesto nadie todavía (lo probé a la mañana y se me pasó ponerlo), ahí va.

 

TVenLinux es un script hecho por un tal Busindre que permite ver la mayoría de los canales de la tdt nacional.

De la página web:

 

Qué es TVenLinux.sh

 

Sencillo script en bash para ver y grabar televisión en sistemas GNU/Linux / BSD sin tarjeta capturadora / sintonizadora. Solo se necesita una conexión a Internet, tener instalado Mplayer, Curl, Rtmpdump y Zenity para entornos Gtk o Kdialog para escritorio que usen Qt como KDE. Actualmente hay más de 80 canales de la TDT española.

[spoiler=Canales]

rtve1 rtve2 tdp Antena_3 La_Sexta Cuatro Tele5 Xplora Nitro Neox La_Sexta_3 Paramount Intereconomia_Business 13TV Marca_TV Energy FDF AragonTV Huesca_TV Galicia_TV_EU Galicia_TV_AM Canarias Canarias_NET Eldia_TV TVRioja TPA_a7 Andalucia Huelva_TV Abteve BarcelonaTV IB3 Canal9_24 Onda_Azul TV3 TV3_24 Canal_33 Esport3 Super3 TeleB TV_Girona TVCS Ribera_TV Cyl7 Etb_SAT TeleBilbao Divinity Discovery_Channel TNT Xtrm SyFy Cosmo Canal_Extremadura KissTV UnaCadiz UnaCordoba Aragon_TV LUX_Mallorca RtvCE TVMelilla EuroNews_ES Telebahia CostadelSol_TV M95TV Hispan_TV Aljazeera_Eng Esne_TV Astrocanalshop Ondamex Panamericana Global_TV ATV_Sur AricaTV Cetelmon_TV SolidariaTV

 

 

 

Postear Imagen

 

Instalar dependencias.

 

Como root en una terminal ejecutar los siguientes comandos (Debian / Ubuntu):

 

# apt-get install mplayer rtmpdump curl

Como root en una terminal ejecutar los siguientes comandos (Mandriva / Mageia ):

 

# urpmi mplayer rtmpdump curl

NOTA: El paquete "curl" no es obligatorio, pero permitirá mostrar la programación de cada canal.

 

Ejecutar TVenLinux.sh

 

Una vez descargado y teniendo los paquetes necesarios instalados, solo nos queda darle permisos de ejecución. Esto lo podemos hacer de forma gráfica o bien desde la terminal.

 

Entorno gráfico:

 

1.- Botón derecho sobre el fichero y pulsamos "Propiedades".

 

2.- Pestaña Permisos, Hacer el fichero ejecutable.

 

3.- Doble clic sobre el fichero.

 

Terminal:

 

$ chmod u+x TVenLinux.sh

$ ./TVenLinux.sh (También funcionaría haciendo doble clic sobre el fichero)

 

También se puede a copiar a /usr/local/bin para ejecutarlo desde la terminal de forma fácil:

sudo mv TVenLinux.sh /usr/local/bin/tv
Donde pone "tv" ponemos el nombre que queramos para ejecutar desde la terminal el script.

 

Uso de TVenLinux.sh

Para ejecutar el programa podemos hacerlo desde consola ($ ./TVenLinux.sh) o bien doble clic desde el entorno gráfico.

 

Postear Imagen

 

Una vez ejecutado, si falta algún paquete por instalar, será avisado de ello.

 

Algunos canales no emiten a internet en determinadas horas o bien no emiten determinados programas por tema de copyright.

 

Es posible que algunos canales dejen de funcionar, se intentará ir actualizando (Mirar fecha) el script periódicamente para reponer canales y mejorarlo.

 

Si el ancho de banda está saturado o es insuficiente habrá problemas de desconexión (Mire la sección de "Configuración").

 

Para cambiar de canal hay que cerrar el reproductor (Letra Q o cerrar la ventana).

 

Algunos canales no muestran su programación, eso es normal, no un error

.

Al cerrar la ventana del canal se nos preguntará si queremos guardar lo que vimos:

Postear Imagen

 

Consejos prácticos.

Tener ancho de banda no saturado (P2P, Youtube, Torrent,...) para no tener problemas con la recepción.

 

Si el sonido y el audio están descompasados, con el cursor izquierdo podemos volver 10 segundos atrás y suele solucionar el problema.

 

De tener Zenity y Kdialog instalados sin usar Kde como escritorio, el script usará Zenity, para forzar Kdialog modifique el script en la sección "Escritorio KDE"

 

Si las desconexiones son frecuentes, podemos probar a pausar (Letra P) la reproducción al poco de comenzar, de esa forma la cache irá subiendo. También se puede modificar el script en su sección "Configuración" para que cachee más tiempo antes de empezar a reproducir.

 

En la parte inferior del script se puede modificar el reproductor a usar, aunque se recomienda mplayer ya que otros reproductores como VLC no sincronizan el audio con el vídeo de manera tan eficiente.

 

Si la programación tiene caracteres extraños en vez de acentos, es debido a que tu distribución GNU/Linux no usa la codificación UTF-8.

 

Si el reproductor muestra una pantalla azul, se debe a problemas con el driver de Nvidia y se debe modificar el comando mplayer añadiendo la opción: -vo gl

 

Teclas útiles de mplayer a conocer.

Izquierda: Retrocede 10 segundos.

 

Derecha: Avanza 10 segundos (No recomendado a no ser que tengamos mucha cache del streaming).

 

Arriba: Avanza 1 minuto (No recomendado a no ser que tengamos mucha cache del streaming).

 

Abajo: Retrocede 1 minuto.

 

Av. Pág: Retrocede 10 minutos (No recomendado a no ser que tengamos mucha cache del streaming).

 

Re Pág: Avanza 10 minutos.

 

p, Espacio: Pausa / Reproducir.

 

m: Silencio.

 

F: Pantalla completa.

 

Mays + t: Siempre encima.

 

q, Esc: Cierra mplayer.

 

 

El script en cuestión:

 

http://tvenlinux.com/TVenLinux.sh

 

La página web es http://tvenlinux.com/

 

Otra aplicación más completa es FreetuxTV, aunque no trae tantos canales de la tdt y sí más latinoamericanos (además de radios y otros en otros idiomas):

https://code.google.com/p/freetuxtv/

Se encuentra en los repositorios de Debian y Ubuntu (a partir del 12.10)

Editado por Khany
lupi, dharma, Shiba87 y 11 otros le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Otro maestro en el equipo. Gracias el script es genial no sabia que hacian de estas cosas, ahy algun de tele portuguesa por la web?

 

Edit. puff este sricpt esta muy bien hecho no socnsigo hacer uno igual pero esta requetebien, si pudiera saber donde cambiar cosillas haria uno mio.

JPablos, khany, Rohlling y 3 otros le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Otro maestro en el equipo. Gracias el script es genial no sabia que hacian de estas cosas, ahy algun de tele portuguesa por la web?

 

Edit. puff este sricpt esta muy bien hecho no socnsigo hacer uno igual pero esta requetebien, si pudiera saber donde cambiar cosillas haria uno mio.

 

Hombre supongo que sí hay tv portuguesa en la web, tú sabrás mejor que yo ;)

eg: http://www.tvphd.com/

dharma, Rohlling, Shiba87 y 4 otros le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Buenas tardes.

 

Instalé Freetuxtv, pero no funcionaba.

 

Encontré una solución aquí:

http://askubuntu.com/questions/459962/freetuxtv-is-installed-in-14-04-and-not-working

Cito:

Pkgs.org has an updated version (0.6.6) for Debian that isn't available yet in the Ubuntu repositories (current Ubuntu 
repo version is 0.6.5). You can download the build for Debian Jessie by visiting http://pkgs.org/download/freetuxtv,'>http://pkgs.org/download/freetuxtv, 
and select "freetuxtv_0.6.6-dmo1_i386.deb" for 32-bit or "freetuxtv_0.6.6-dmo1_amd64.deb" for 64-bit... at least until they build an updated version for Ubuntu.

It seems to fix (in part) the issue between freetuxtv and VLC 2.x. 
Not all of the channels work, but at least some do.

De ahí a:

http://pkgs.org/download/freetuxtv

Seleccioné el paquete:

http://pkgs.org/debian-sid/debian-main-i386/freetuxtv_0.6.6~dfsg1-1_i386.deb.html

Que corresponde a Ubuntu 14.04 LTS / Debian Jesse

 

Al descargar seleccioné la opción abrir con centro de software (Ubuntu 14.04 LTS), y este actualizó mi paquete Freetuxtv, ahora funciona.

 

por si alguien ha tenido algún problema similar.

 

Un saludo

 

JPablos

lupi, Rohlling, dmrx921 y 2 otros le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Pues yo me puse a ver si mi freetuxtv funcionaba bien , hace tiempo que no lo abro y justo me dio un problema que el vlc nunca me abria el stream y me daba error core .

 

Lo que hice fue adicionar el ppa dev de freetuxtv ->

 

 

sudo add-apt-repository ppa:freetuxtv/freetuxtv-dev

sudo apt-get update

sudo apt-ge tupgrade

 

Pues eso que tube que subir una version ya que la version que tenia venia por universe de repos Ubuntu.

 

Supongo que aqui fuera el problema con vlc o sea que han caido muchas actualizaciones de vlc y pienso que podria ser eso llevar el vlc en alguna version uqe ya tiene muchas configuraciones adicionales hacia la version de freetuxtv disponible en repositorios.

 

Si os fijais en el ppa - 

https://launchpad.net/~freetuxtv/+archive/ubuntu/freetuxtv-dev 

 

Si escogeis filter para si como yo usais trusty, vereis que mismo la ultima version del paquete esta en el rango de release 14.04.1 o sea algo ya atrasada tanbien ya que vamos por la 14.04.3 , esto para decir que si el problema viniera de vlc habria que es tar muy pero muy atento simpre que nos caiga alguna actualización de vlc , si fuera asi cabria probrar (acordarse de hacerlo) freetuxtv justo despues de hacer upgrade , que la puede liar otra vez , por lo menos yo lo veo asi y en mi caso estare atento (si me acuerdo!! jaja).

 

Bueno eso que ahora ya me reproduce bien los canales (en mi caso tarda más en cargar los canales el programa  pero ahora funciona) y como vereis aún me salta un core error pero no se el porque->

 

2015_11_03_231520_1280x1024_scrot.png

JPablos, lupi, dmrx921 y 2 otros le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Gracias portaro, he agregado el ppa, funciona un poco mejor, con los siguientes errores:

[FreetuxTV]    MESSAGE    : Launching channel 'Cadena Ser' at '0:0' -> http://playerservices.streamtheworld.com/api/livestream-redirect/CADENASER.mp3
[LibVLC-Gtk]   INFO       : Playing http://playerservices.streamtheworld.com/api/livestream-redirect/CADENASER.mp3
[LibVLC-Gtk]   INFO       : Using vlc options [:deinterlace=0 :access=timeshift :input-timeshift-granularity=50]
[0x9e19528] access_http access: Raw-audio server found, mp3 demuxer selected
[0xb4c1d960] mpgatofixed32 audio converter error: libmad error: bad main_data_begin pointer
[0xb4c1d960] mpgatofixed32 audio converter error: libmad error: bad main_data_begin pointer
[0x9e17278] main input error: ES_OUT_SET_(GROUP_)PCR  is called too late (pts_delay increased to 1000 ms)
[0x9e17278] main input error: ES_OUT_RESET_PCR called
[0xb4c1d960] mpgatofixed32 audio converter error: libmad error: Huffman data overrun
[0xb4c1d960] mpgatofixed32 audio converter error: libmad error: Huffman data overrun

Un saludo

 

JPablos

lupi, portaro y Rohlling le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Yo creo que el problema viene no por el freetuxtv sino por el vlc y las llamadas que le esta haciendo el freetuxtv para el stream , es decir que sera tema de codecs de los paquetes en vlc y que la info que freetuxtv este desfasada hacia la version del vlc.

dmrx921, JPablos, Rohlling y 2 otros le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Hola @@portaro, he seguido buscando información sobre el tema, encontré lo siguiente:

https://www.videolan.org/vlc/download-ubuntu.html
    sudo apt-get update
    sudo apt-get install vlc browser-plugin-vlc
    sudo apt-get install libavcodec-extra-54  <<--en mi caso, Ubuntu 14.04 LTS-->>

Con el siguiente resultado:

[FreetuxTV]    MESSAGE    : Launching channel 'Cadena Ser' at '0:0' -> http://playerservices.streamtheworld.com/api/livestream-redirect/CADENASER.mp3
[LibVLC-Gtk]   INFO       : Playing http://playerservices.streamtheworld.com/api/livestream-redirect/CADENASER.mp3
[LibVLC-Gtk]   INFO       : Using vlc options [:deinterlace=0 :access=timeshift :input-timeshift-granularity=50]
[0xaf903348] access_http access: Raw-audio server found, mp3 demuxer selected
[0xb42211c8] mpgatofixed32 audio converter error: libmad error: bad main_data_begin pointer
[0xb42211c8] mpgatofixed32 audio converter error: libmad error: bad main_data_begin pointer

Using network protocols without global network initialization. Please use avformat_network_init(), this will become mandatory later.

 

Por lo visto, lo actuado corrigió algunos de lo errores que señalaba en mi anterior comentario.

 

Un saludo

 

JPablos

Editado por JPablos
dmrx921, pacoeloyo, Rohlling y 2 otros le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Asi me gusta eres como yo o va a bien o a palos que no sea por curiosear .

 

Yo tengo la version de vlc ->

 

 

VLC media player 2.2.1 Terry Pratchett (Weatherwax) (revision 2.2.1~trusty1)
Versão do VLC 2.2.1 Terry Pratchett (Weatherwax) (2.2.1~trusty1)
Compilado por buildd em lgw01-49.buildd (Jul 20 2015 23:41:42)
Compilador: gcc version 4.8.4 (Ubuntu 4.8.4-2ubuntu1~14.04)
Este programa vem SEM GARANTIA, até à extensão permitida por lei.
Pode redistribuí-lo sob os termos da Licença Pública Geral GNU;
consulte o ficheiro com o nome COPYING para detalhes.
Escrito pela equipa do VideoLAN; consulte o ficheiro AUTHORS.
 

 

Y tengo ese paquete libavcodec - extra54

 

 

$ sudo apt-get install libavcodec-extra-54
[sudo] password for joao:
A ler as listas de pacotes... Pronto
A construir árvore de dependências       
A ler a informação de estado... Pronto
libavcodec-extra-54 já está na versão mais recente.
 

 

Estos paquetes en Ubuntus a veces dan que hablar por no decir que a veces crashean ciertos programas porque no se como se las arreglan hacen el update de una lado pero depues quien los va a usar (el programa) parece no saber usarlos, en Ubuntu hay que tener cierto cuidado con eso me acuerdo que en anteriores versiones si instalaba un paquete con codecs de cierto programa tenia que remover otros y a la vez quando los removiera sem me quebrantaba el update enfin un rol de problemillas que se dan en Buntus, eso si ahora parece que , o por lo menos yo no he tenido en Ubuntu 14.04 ese tipo de problemas eso si miro bien los ppa que sino me la lian en el futuro.

 

Bueno era eso, a ver si ahora a ti te va bien , yo lo acabo de abrir y si que me dan los canales y hasta me va más rapido el cargar pero aún tengo errore mira  ->

 

 

(freetuxtv:11580): Gtk-WARNING **: Theme parsing error: xfce.css:7:36: Missing name of pseudo-class
[FreetuxTV]    INFO       : Initializing user interface
[GMMKeys]      INFO       : Initialize
[GMMKeys]      INFO       : Activating media player keys
[GMMKeys]      CRITICAL   : Unable to grab media player keys: Could not get owner of name 'org.gnome.SettingsDaemon': no such name
[FreetuxTV]    INFO       : Using user configuration dir: /home/joao/.config/FreetuxTV
[FreetuxTV]    INFO       : DBSync open database
[DBEvolution]  INFO       : Starting database evolution
[DBEvolution]  INFO       : Current database version is 0.6.0.2
[FreetuxTV]    INFO       : DBSync close database
[FreetuxTV]    INFO       : Loading config file /home/joao/.config/FreetuxTV/config.ini
[FreetuxTV]    INFO       : Creating media player widget
[FreetuxTV]    INFO       : Initializing LibVLC instance
[LibVLC-Gtk]   INFO       : Using instance vlc with 3 options [--no-xlib --ignore-config --no-video-title-show]
[FreetuxTV]    INFO       : DBSync open database
[FreetuxTV]    INFO       : Loading the list of channels
[FreetuxTV]    INFO       : Loading the list of recordings
[FreetuxTV]    INFO       : DBSync close database
[FreetuxTV]    INFO       : Showing the main window, hide splashscreen
[FreetuxTV]    MESSAGE    : Launching channel 'english' at '3:28' -> http://bglive-a.bitgravity.com/ndtv/247hi/live/native
[LibVLC-Gtk]   INFO       : Playing http://bglive-a.bitgravity.com/ndtv/247hi/live/native
[LibVLC-Gtk]   INFO       : Using vlc options [:deinterlace=0 :access=timeshift :input-timeshift-granularity=50]
[b4c1b218] mpgatofixed32 audio converter error: libmad error: bad main_data_begin pointer
[FreetuxTV]    MESSAGE    : Launching channel 'ENT.BAY TV CONCERT' at '3:29' -> rtmp://planetaonline.cdnvideo.ru/rr/channel_2
[FreetuxTV]    WARNING    : Failed to send notification
[LibVLC-Gtk]   INFO       : Playing rtmp://planetaonline.cdnvideo.ru/rr/channel_2
[LibVLC-Gtk]   INFO       : Using vlc options [:deinterlace=0 :access=timeshift :input-timeshift-granularity=50]
[FreetuxTV]    MESSAGE    : Launching channel 'ENT.BAY TV CONCERT' at '3:29' -> rtmp://planetaonline.cdnvideo.ru/rr/channel_2
[b4c10f78] core stream error: cannot pre fill buffer
[LibVLC-Gtk]   INFO       : Playing rtmp://planetaonline.cdnvideo.ru/rr/channel_2
[LibVLC-Gtk]   INFO       : Using vlc options [:deinterlace=0 :access=timeshift :input-timeshift-granularity=50]
 

 

Eso si me funciona bien.

 

Hoye gracias por compartir tus aportes que asi podremos ver que puede ser el problema.

dmrx921, lupi, pacoeloyo y 2 otros le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Bueno ahí vamos.

 

Otras tres opciones:

 

Ubuntu 14.04 LTS última versión estable de VLC 2.2.0

sudo add-apt-repository ppa:mc3man/trusty-media
sudo apt-get update
sudo apt-get install vlc

PPA oficial de VLC, para Ubuntu 14.10 y Ubuntu 15.04:

sudo add-apt-repository ppa:videolan/stable-daily
sudo apt-get update
sudo apt-get install vlc

PPA VLC testing

sudo add-apt-repository ppa:videolan/master-daily
sudo apt-get update
sudo apt-get install vlc

Voy a probar con la primera, luego informo.

 

Un saludo

 

JPablos

lupi, pacoeloyo, Rohlling y 1 otro le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Bien con el paquete libavcodec-extra el programa me funciona, ahora a probar si se ve bien.

 

Edito da el siguiente fallo

 

(freetuxtv:9708): Gtk-CRITICAL **: gtk_tree_store_clear: assertion 'GTK_IS_TREE_STORE (tree_store)' failed
Violación de segmento
 

Nos vamos a quedar sin tele al final xD

 

Un saludo !!

Editado por dmrx921
pacoeloyo, Rohlling y JPablos le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Hola dmrx921, intenta esto:

sudo apt-get  dist-upgrade <<--en mi caso Ubuntu 14.04 LTS-->>

Veras como descarga y actualiza paquetes relacionados con libavcodec-extra-54.

 

Por ahora, estoy obteniendo este error:

mpgatofixed32 audio converter error: libmad error: bad main_data_begin pointer

El cual, es al parecer un bug de VLC <<--Aún no he indagado sobre este punto...-->>

 

Un saludo

 

JPablos

Editado por JPablos
pacoeloyo, lupi, dmrx921 y 1 otro le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Hola dmrx921, intenta esto:

sudo apt-get  dist-upgrade <<--en mi caso Ubuntu 14.04 LTS-->>

Veras como descarga y actualiza paquetes relacionados con libavcodec-extra-54.

 

Por ahora, estoy obteniendo este error:

mpgatofixed32 audio converter error: libmad error: bad main_data_begin pointer

El cual, es al parecer un bug de VLC <<--Aún no he indagado sobre este punto...-->>

 

Un saludo

 

JPablos

Estoy en debian y ya esta actualizado pero naa, en cambio con kodi y el plugin streamer ese que furula por ahi si que e conseguido ver la mayoría de canales, luego pondre un post en el foro a modo de tutorial para el que le interese.

 

Un saludo ;)

 

EDITO: ya tenéis por ahí el tutorial dando vueltas :swoon:

Editado por dmrx921
lupi, JPablos, Rohlling y 1 otro le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Hola. Sigo intentando...

[FreetuxTV]    MESSAGE    : Launching channel 'Euronews English' at '4:30' -> rtsp://ewns-hls-b-stream.hexaglobe.net/rtpeuronewslive/en_vidan750_rtp.sdp
[LibVLC-Gtk]   INFO       : Playing rtsp://ewns-hls-b-stream.hexaglobe.net/rtpeuronewslive/en_vidan750_rtp.sdp
[LibVLC-Gtk]   INFO       : Using vlc options [:deinterlace=0 :access=timeshift :input-timeshift-granularity=50]
[094bf9c0] core input error: ES_OUT_RESET_PCR called
[094bf9c0] core input error: ES_OUT_RESET_PCR called

Veo el canal, con audio y todo, la Terminal informa core input error.

 

Un saludo

 

JPablos

dmrx921, pacoeloyo y Rohlling le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Los que estáis en debian podríais apuntar los repositorios a sid y actualizar SOLAMENTE el vlc y los paquetes que pertenezcan solo a este programa, y para los buntus* ya veo que estáis tirando de PPA. Mirar esto con calma y cuando termines se actualizar SOLO el vlc desactivar sid para que el sistema no haga bunnn.

Rafa, Rohlling y dmrx921 le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Los que estáis en debian podríais apuntar los repositorios a sid y actualizar SOLAMENTE el vlc y los paquetes que pertenezcan solo a este programa, y para los buntus* ya veo que estáis tirando de PPA. Mirar esto con calma y cuando termines se actualizar SOLO el vlc desactivar sid para que el sistema no haga bunnn.

 

Hola pacoeloyo, me interesa.

 

Podrías ampliar lo de desactivar sid ¿? <<--para neófito-->>

 

Un saludo

 

JPablos

pacoeloyo y Rohlling le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

No uso debian, pero no salgo de su falda, pero se por lo leído en el foro que puede apuntar a sid, instalar los paquetes que quieras o actualizar y después volver a la rama donde sueles estar o a testing o a estable. En la guía debian del foro tiene que venir como hacerlo. Pero repito si activas sid solo poner lo necesario, pues se puede liar un follón tremendo.

Rafa, dmrx921, Rohlling y 1 otro le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

 

Los que estáis en debian podríais apuntar los repositorios a sid y actualizar SOLAMENTE el vlc y los paquetes que pertenezcan solo a este programa, y para los buntus* ya veo que estáis tirando de PPA. Mirar esto con calma y cuando termines se actualizar SOLO el vlc desactivar sid para que el sistema no haga bunnn.

 

Hola pacoeloyo, me interesa.

 

Podrías ampliar lo de desactivar sid ¿? <<--para neófito-->>

 

Un saludo

 

JPablos

 

 

Es la misma pratica conocida en UBuntu para bloqueo de ppa por ejemplo supon que hay lo que arriba yo menciono - por una razon cualquiera un paquete es actualizado pero ese paquete es usado por otro pero el cual en det. version no lo adapta bien (o bibliotecas ) entonces se puede intentar eso update o downgrade a ppa y bloqueo despues para que no te entren versiones nuevas ya haga el pumm que incapacita el update upgrade de sistema.

 

Eso envuelve conocer muy bien 2 cosas - si vas a tener que actualizar a menudo el sistema, no olvidarte de bloquear la version en synaptic , y otra cosa pedir a los dioses en caso de Ubuntu que el sistema no tenga un update de parte importante que toque el update del programa que haz bloqueado.

 

Tanto se hace eso en Debian como en UBuntu, pero tiene algunos riesgos.

 

En versiones antiguas habia quien desaconsejaba hacer esto , porque a veces pasaba que te entraba un update que te obligaba a cambiar version del programa que habias bloqueado, pero si lo desbloqueabas a veces pasaba que despues del update el sistema se corrompia o sea que te resultaba en que tenias que ir a mano haciendo configs de contrario adios el sistema no se podria actualizar porque se habia hecho una confusion con varios paquetes y biblios,   el sistema bloqueaba alguna cosa relacionada con paquetes de version tal y quando intentaba update y nueva config se cargaba biblios y otros paquetes etc. Hoy dia eso no pasa pero era comun en Ubuntu y a veces dependia de en que ambiente estabas corriendo el paquete - tb pasa por ejemplo quando hay grandes cambios en sistema por ejemplo si entra un nuevo ambiente como paso con Unity.

 

Eso queda la nota, a veces es mejor no andar haciendo muchos cambios o hacerlos a mano y puunto es que en el futuro puede caer una que ni te das cuenta (en Ubuntu especialmente), y juntemos eso a que a veces hacemos update y upgrade casi sin leer lo que se va a actualizar y a veces por una biblio surgen problemillas, hay que ir con pinzas en estas cosas.

Editado por portaro
pacoeloyo, dmrx921, JPablos y 2 otros le gusta esto

Compartir este post


Enlace al post
Compartir en otros sitios

Registra una cuenta o conéctate para comentar

Debes ser un miembro de la comunidad para dejar un comentario

Crear una cuenta

Regístrate en nuestra comunidad. ¡Es fácil!


Registrar una cuenta nueva

Iniciar Sesión

¿Ya tienes cuenta? Conéctate aquí.


Iniciar Sesión